PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Topics
SPA

Simple Plugin API. More...

## Topics
| POD
| Buffers
| Buffers describe the data and metadata that is exchanged between ports of a node.
| Control
| Control type declarations.
| Debug
| Debugging utilities.
| Device
| The device interface can be used to monitor all kinds of devices and create objects as a result.
| Graph
| Node graph.
| Node
| A spa_node is a component that can consume and produce buffers.
| Parameters
| Parameter value enumerations and type information.
| Utilities
| Utility data structures, macros, etc.
| Support
| Support interfaces provided by host.

## Detailed Description

Simple Plugin API.

See: SPA (Simple Plugin API), SPA Design